var trim     = require('../utils/trim');
var unindent = require('../utils/unindent');
var fs = require('fs');
var path = require('path');
FILE_TYPE = "file"

function parse(content, source) {
    source = trim(source);

    var title = '';
    var text = '';
    var type;

    // Search for @apiExample "[{type}] title and content
    // /^(@\w*)?\s?(?:(?:\{(.+?)\})\s*)?(.*)$/gm;
    var parseRegExpFirstLine = /(@\w*)?(?:(?:\s*\{\s*([a-zA-Z0-9\.\/\\\[\]_-]+)\s*\}\s*)?\s*(.*)?)?/;
    var parseRegExpFollowing = /(^.*\s?)/gm;

    var matches;
    if ( (matches = parseRegExpFirstLine.exec(source)) ) {
        type = matches[2];
        title = matches[3];
    }

    parseRegExpFollowing.exec(content); // ignore line 1
    while ( (matches = parseRegExpFollowing.exec(source)) )  {
        a = matches[1].replace(/\s+/g, "").split(":");
        if(a[0] == FILE_TYPE){
           var file_path = path.join(process.cwd(), "/test/fixtures/", a[1].replace(/\"/g,''));
           var data=fs.readFileSync(file_path,"utf-8");
           text += data;
        }else{
            text += matches[1];
        }
    }

    if (text.length === 0)
        return null;

    return {
        title  : title,
        content: unindent(text),
        type   : type || 'json'
    };
}

/**
 * Exports
 */
module.exports = {
    parse : parse,
    path  : 'local.examples',
    method: 'push'
};
